import { getEnumTypeList, getEnumTypeName } from './index'

/**
 * 合同类型
 */
export enum SpotContractType {
    Buy = 1, // 采购
    Sell = -1, // 销售
}

/**
 * 获取类型列表
 * @returns 
 */
export function getSpotContractTypeList() {
    return getEnumTypeList('spotContractType');
}

/**
 * 获取枚举名称
 * @param value 
 * @returns 
 */
export function getSpotContractTypeName(value: number) {
    return getEnumTypeName(getSpotContractTypeList(), value);
}

/**
 * 判断类型是否相同
 * @param key 
 * @param value 
 * @returns 
 */
export function isEqualSpotContractType(key: keyof typeof SpotContractType, value: number) {
    return SpotContractType[key] === value;
}